공개 모델 목록 조회
curl --request GET \
--url https://apiany.ai/v1/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://apiany.ai/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apiany.ai/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "nano-banana",
"object": "model",
"type": "image",
"display_name": "Nano Banana",
"status": "active",
"owned_by": "APIAny.AI",
"pricing": {},
"parameters": {},
"group": "GPT 5.5",
"capability": "chat,coding,reasoning",
"description": "<string>",
"capability_metadata": {
"modality": "chat",
"endpoint_formats": [
"openai-chat",
"openai-responses",
"anthropic-messages",
"gemini-generate-content"
],
"execution": "sync",
"input": {
"text": true,
"image": true,
"audio": true,
"video": true,
"file": true
},
"output": {
"text": true,
"image": true,
"video": true,
"audio": true
},
"features": {
"stream": true,
"tools": true,
"vision": true,
"jsonMode": true,
"thinking": true
},
"reasoning": {
"supported": true,
"mode": "always-on",
"parameter": "reasoning_effort",
"aliases": [
"reasoning.effort",
"output_config.effort"
],
"efforts": [
"low",
"high",
"max"
],
"compatEfforts": {
"max": "xhigh",
"minimal": "low"
},
"defaultEffort": "max",
"disableWith": [
"reasoning_effort=none"
],
"thinkingTypes": [
"enabled",
"disabled"
]
},
"limits": {},
"tags": [
"<string>"
],
"release_stage": "stable",
"pricing_dimensions": [
{}
]
}
}
],
"object": "list"
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"param": "<string>",
"code": "<string>"
}
}Models
공개 모델 목록 조회
현재 API 키로 볼 수 있는 APIAny.AI 공개 모델 카탈로그를 반환합니다.
GET
/
v1
/
models
공개 모델 목록 조회
